CreateFirewallRule
CreateFirewallRule
POST
/v1/vpcfirewalls/rulesOperation ID
CreateFirewallRuleSince
3.6.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
ruleSetUuidStringRequiredThe ruleset UUID.
actionStringRequiredThe action taken against data packets.
protocolStringOptional. The protocol.
destPortStringOptional. The destination port.
sourcePortStringOptional. The source port.
sourceIpStringOptional. The source IP address.
destIpStringOptional. The destination IP address.
allowStatesStringOptional. The allow status of packets.
tcpFlagStringOptional. The TCP flag.
icmpTypeNameStringOptional. The ICMP type.
ruleNumberIntegerRequiredThe priority of the rule.
enableLogbooleanOptional. Specifies whether to enable logging.
stateStringRequiredThe action that changes the state of the rule.
descriptionStringOptional. The detailed description of the rule.
resourceUuidStringOptional. The rule UUID.
tagUuidsListOptional. The tag UUIDs.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
